public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2016-07-09  3:16 Yixun Lan
  0 siblings, 0 replies; 22+ messages in thread
From: Yixun Lan @ 2016-07-09  3:16 UTC (permalink / raw
  To: gentoo-commits

commit:     3486f1b365cf0b6ce5325ecdc06d3100009f144c
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 02:17:29 2016 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 03:15:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3486f1b3

sci-libs/cln: version bump

also add arm64 keyword

Gentoo-Bug: 586990

Package-Manager: portage-2.3.0_rc1
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sci-libs/cln/Manifest         |  1 +
 sci-libs/cln/cln-1.3.4.ebuild | 57 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sci-libs/cln/Manifest b/sci-libs/cln/Manifest
index 7577f00..46b49aa 100644
--- a/sci-libs/cln/Manifest
+++ b/sci-libs/cln/Manifest
@@ -1 +1,2 @@
 DIST cln-1.3.3.tar.bz2 1300229 SHA256 57fc2ee3ecbb30d4037ff32a9a331804ea7dad8b345e70d42d9991ca659b2612 SHA512 ee829cd03a2d36215a4d4e76cc0aa6c5abe6ff967ed366d752da1dc0c47dbec56e0521e92fb35574c038305fb767991c5c7fd12ad03583080da3f923fbfecdaf WHIRLPOOL fac646fcb8622060917cbe08b232d412459e45f16c4bbe38cd6d1b7296bc259466eba28ddccb66ead435832ea45127e13b4fe0e2601a0f763487144c02e51eb0
+DIST cln-1.3.4.tar.bz2 1281348 SHA256 2d99d7c433fb60db1e28299298a98354339bdc120d31bb9a862cafc5210ab748 SHA512 2178a64b4388b3018c3847f6fb192ea51eb9c8618302986d7706accef17184e3333ddeca218d726f93f3b985598952ad58d705c9081201985611e383f788a631 WHIRLPOOL da1686fa88f7a73e20c60e3116b50dfee0ebe6e4519443df26889f82dd7b9281178c89cea7ab7fe82ed6a6b6fbf91546fc2501da7c56c2375e1f57415f103024

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
new file mode 100644
index 0000000..801baf9
--- /dev/null
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils flag-o-matic
+
+DESCRIPTION="Class library (C++) for numbers"
+HOMEPAGE="http://www.ginac.de/CLN/"
+SRC_URI="http://www.ginac.de/CLN/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="dev-libs/gmp:0="
+DEPEND="${RDEPEND}
+	doc? ( virtual/latex-base )"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.3.2-arm.patch )
+
+pkg_setup() {
+	use sparc && append-cppflags -DNO_ASM
+	use hppa && append-cppflags -DNO_ASM
+	use arm && append-cppflags -DNO_ASM
+}
+
+src_prepare() {
+	# avoid building examples
+	# do it in Makefile.in to avoid time consuming eautoreconf
+	sed -i \
+		-e '/^SUBDIRS.*=/s/examples doc benchmarks/doc/' \
+		Makefile.in || die
+	autotools-utils_src_prepare
+}
+
+src_compile() {
+	autotools-utils_src_compile
+	if use doc; then
+		cd "${BUILD_DIR}"
+		export VARTEXFONTS="${T}/fonts"
+		emake html pdf
+		DOCS=("${BUILD_DIR}/doc/cln.pdf")
+		HTML_DOCS=("${BUILD_DIR}/doc/")
+	fi
+}
+
+src_install () {
+	autotools-utils_src_install
+	if use examples; then
+		docompress -x /usr/share/doc/${PF}/examples
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.cc
+	fi
+}


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-05-28  4:06 Aaron Bauman
  0 siblings, 0 replies; 22+ messages in thread
From: Aaron Bauman @ 2019-05-28  4:06 UTC (permalink / raw
  To: gentoo-commits

commit:     fdeb675af1ec26172067c20fb66bad4051d7c1ac
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Tue May 28 04:06:11 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Tue May 28 04:06:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdeb675a

sci-libs/cln: arm64 stable

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.12
RepoMan-Options: --include-arches="arm64"

 sci-libs/cln/cln-1.3.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.3.ebuild b/sci-libs/cln/cln-1.3.3.ebuild
index 8671b3f70af..0447a704779 100644
--- a/sci-libs/cln/cln-1.3.3.ebuild
+++ b/sci-libs/cln/cln-1.3.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -11,7 +11,7 @@ SRC_URI="ftp://ftpthep.physik.uni-mainz.de/pub/gnu/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-15 12:44 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2019-12-15 12:44 UTC (permalink / raw
  To: gentoo-commits

commit:     26910ef05509df83c648dce759e48a55bf053a95
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 15 12:41:43 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Dec 15 12:41:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26910ef0

sci-libs/cln: amd64 stable wrt bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index 5677aa74dad..82fef874634 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-15 12:48 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2019-12-15 12:48 UTC (permalink / raw
  To: gentoo-commits

commit:     403c4838f1e954557b9ce04fa2b4415387b23c54
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 15 12:47:56 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Dec 15 12:47:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=403c4838

sci-libs/cln: x86 stable wrt bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index 82fef874634..b0b7574e0f3 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-15 13:59 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2019-12-15 13:59 UTC (permalink / raw
  To: gentoo-commits

commit:     a8993ee9d1223d88db2794eabc1dafeb331f7209
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 15 13:58:54 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Dec 15 13:58:54 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8993ee9

sci-libs/cln: sparc stable wrt bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index 9675e8db776..17fd5ce6d02 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~ppc ~ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-17 23:48 Aaron Bauman
  0 siblings, 0 replies; 22+ messages in thread
From: Aaron Bauman @ 2019-12-17 23:48 UTC (permalink / raw
  To: gentoo-commits

commit:     e3151967c8bca0b68326c4d1839feff5ad12aee7
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 17 23:47:50 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Tue Dec 17 23:47:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3151967

sci-libs/cln: arm64 stable (bug #693784)

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
Package-Manager: Portage-2.3.82, Repoman-2.3.20

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index d49041fadf0..d122df083c0 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-19 18:35 Sergei Trofimovich
  0 siblings, 0 replies; 22+ messages in thread
From: Sergei Trofimovich @ 2019-12-19 18:35 UTC (permalink / raw
  To: gentoo-commits

commit:     b5ac5a59df4eccc8c49d56a0cc79724921770eb3
Author:     Rolf Eike Beer <eike <AT> sf-mail <DOT> de>
AuthorDate: Thu Dec 19 16:10:03 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 18:35:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5ac5a59

sci-libs/cln: stable 1.3.4 for hppa, bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="hppa"
Signed-off-by: Rolf Eike Beer <eike <AT> sf-mail.de>
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index d122df083c0..76fc2958a18 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-24 14:34 Mikle Kolyada
  0 siblings, 0 replies; 22+ messages in thread
From: Mikle Kolyada @ 2019-12-24 14:34 UTC (permalink / raw
  To: gentoo-commits

commit:     3d6716f909d92e0cccf43bada8e893b87be7c6aa
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 14:34:07 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 14:34:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d6716f9

sci-libs/cln: arm stable wrt bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="arm"
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index 76fc2958a18..f37cdaa4394 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 ~arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2019-12-24 20:02 Mikle Kolyada
  0 siblings, 0 replies; 22+ messages in thread
From: Mikle Kolyada @ 2019-12-24 20:02 UTC (permalink / raw
  To: gentoo-commits

commit:     d667058af1e6271c8d23576a8a594dbb080ef2bf
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 20:01:21 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 20:01:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d667058a

sci-libs/cln: alpha stable wrt bug #693784

Package-Manager: Portage-2.3.79, Repoman-2.3.16
RepoMan-Options: --include-arches="alpha"
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sci-libs/cln/cln-1.3.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index f37cdaa4394..8a92dc7cd71 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples static-libs"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-01-31 16:25 Andrey Grozin
  0 siblings, 0 replies; 22+ messages in thread
From: Andrey Grozin @ 2020-01-31 16:25 UTC (permalink / raw
  To: gentoo-commits

commit:     42d2f455f0f50ebcae9aab0aaec80dc9f785d0a0
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 31 16:25:24 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Jan 31 16:25:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42d2f455

sci-libs/cln: bump to 1.3.6

Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-libs/cln/Manifest         |  1 +
 sci-libs/cln/cln-1.3.6.ebuild | 54 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sci-libs/cln/Manifest b/sci-libs/cln/Manifest
index 4ec878f9cd3..5163b24bc02 100644
--- a/sci-libs/cln/Manifest
+++ b/sci-libs/cln/Manifest
@@ -1,2 +1,3 @@
 DIST cln-1.3.3.tar.bz2 1300229 BLAKE2B ca7985771d300b2bf0a1e5d6acda90de2596e0a8910c293500c8c218578814a82867ac24b641d3e3a36897a1a0ebf09a136ba6d64c7a1ed61133aa0b89ecacea SHA512 ee829cd03a2d36215a4d4e76cc0aa6c5abe6ff967ed366d752da1dc0c47dbec56e0521e92fb35574c038305fb767991c5c7fd12ad03583080da3f923fbfecdaf
 DIST cln-1.3.4.tar.bz2 1281348 BLAKE2B 7681ae5a421f2992e16b48541b46aceb988d697d95d2457fbe2f8c0f7e8ca95e6fbfb0fc309ea29a4669bc3d4fdf9c670fdf25b202019457ffba392f15bf2fa4 SHA512 2178a64b4388b3018c3847f6fb192ea51eb9c8618302986d7706accef17184e3333ddeca218d726f93f3b985598952ad58d705c9081201985611e383f788a631
+DIST cln-1.3.6.tar.bz2 1330815 BLAKE2B 89ddd0079ac746b262dac01ae0fc1ceb250956c530883d93430e62866e09fdd964c4f96edb21260f9aa40f739450996e1bf21503a30cc02fffaba08a1bd45264 SHA512 a32a1449c5f0edac1444e58f500ef1a72ffab8dad65125082eff0995cc9855b45f38b89c7f754e3d4487756a8cd3f7db1e534865b8d0384fd28246f444ed7d14

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
new file mode 100644
index 00000000000..6d68f1bf39d
--- /dev/null
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="Class library (C++) for numbers"
+HOMEPAGE="https://www.ginac.de/CLN/"
+SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="dev-libs/gmp:0="
+DEPEND="${RDEPEND}
+	doc? ( virtual/latex-base )"
+
+pkg_setup() {
+	use sparc && append-cppflags -DNO_ASM
+	use hppa && append-cppflags -DNO_ASM
+	use arm && append-cppflags -DNO_ASM
+}
+
+src_prepare() {
+	default
+	# avoid building examples
+	# do it in Makefile.in to avoid time consuming eautoreconf
+	sed -i \
+		-e '/^SUBDIRS.*=/s/examples doc benchmarks/doc/' \
+		Makefile.in || die
+}
+
+src_compile() {
+	default
+	if use doc; then
+		cd "${BUILD_DIR}"
+		export VARTEXFONTS="${T}/fonts"
+		emake html pdf
+		DOCS=("${BUILD_DIR}/doc/cln.pdf")
+		HTML_DOCS=("${BUILD_DIR}/doc/")
+	fi
+}
+
+src_install () {
+	default
+	if use examples; then
+		docompress -x /usr/share/doc/${PF}/examples
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.cc
+	fi
+}


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-02-01  9:12 Andrey Grozin
  0 siblings, 0 replies; 22+ messages in thread
From: Andrey Grozin @ 2020-02-01  9:12 UTC (permalink / raw
  To: gentoo-commits

commit:     2260e7d02078916bd4301e9d3534a85513588484
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  1 09:11:00 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sat Feb  1 09:11:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2260e7d0

sci-libs/cln: ebuild improvements

Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 6d68f1bf39d..319cd491c61 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -36,19 +36,22 @@ src_prepare() {
 src_compile() {
 	default
 	if use doc; then
-		cd "${BUILD_DIR}"
+		pushd doc > /dev/null
 		export VARTEXFONTS="${T}/fonts"
 		emake html pdf
-		DOCS=("${BUILD_DIR}/doc/cln.pdf")
-		HTML_DOCS=("${BUILD_DIR}/doc/")
+		DOCS=( doc/cln.pdf )
+		HTML_DOCS=( doc/cln.html )
 	fi
 }
 
 src_install () {
 	default
+	if use doc; then
+		einstalldocs
+	fi
 	if use examples; then
 		docompress -x /usr/share/doc/${PF}/examples
-		insinto /usr/share/doc/${PF}/examples
-		doins examples/*.cc
+		docinto examples
+		dodoc examples/*.cc
 	fi
 }


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-02-02 15:02 Andrey Grozin
  0 siblings, 0 replies; 22+ messages in thread
From: Andrey Grozin @ 2020-02-02 15:02 UTC (permalink / raw
  To: gentoo-commits

commit:     67f51249608b99d6431273b3e622e45b88fa2dce
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  2 15:01:30 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Feb  2 15:01:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67f51249

sci-libs/cln: minor ebuild cleanup

Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 319cd491c61..d8f58d81191 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -46,9 +46,6 @@ src_compile() {
 
 src_install () {
 	default
-	if use doc; then
-		einstalldocs
-	fi
 	if use examples; then
 		docompress -x /usr/share/doc/${PF}/examples
 		docinto examples


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-14 20:22 David Seifert
  0 siblings, 0 replies; 22+ messages in thread
From: David Seifert @ 2020-11-14 20:22 UTC (permalink / raw
  To: gentoo-commits

commit:     785c90cfa242ac84cff475d5ec5e7f0ed64c14c3
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 14 20:19:40 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 20:19:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=785c90cf

sci-libs/cln: disable static libs

Closes: https://bugs.gentoo.org/725420
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/cln/cln-1.3.3.ebuild | 8 +++++++-
 sci-libs/cln/cln-1.3.4.ebuild | 8 +++++++-
 sci-libs/cln/cln-1.3.6.ebuild | 8 +++++++-
 3 files changed, 21 insertions(+), 3 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.3.ebuild b/sci-libs/cln/cln-1.3.3.ebuild
index 8b641d2d4f4..a8823500d1e 100644
--- a/sci-libs/cln/cln-1.3.3.ebuild
+++ b/sci-libs/cln/cln-1.3.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="ftp://ftpthep.physik.uni-mainz.de/pub/gnu/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="1"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples static-libs"
+IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="
 DEPEND="${RDEPEND}
@@ -35,6 +35,10 @@ src_prepare() {
 	autotools-utils_src_prepare
 }
 
+src_configure() {
+	econf --disable-static
+}
+
 src_compile() {
 	autotools-utils_src_compile
 	if use doc; then
@@ -53,4 +57,6 @@ src_install() {
 		insinto /usr/share/doc/${PF}/examples
 		doins examples/*.cc
 	fi
+
+	find "${ED}" -name '*.la' -delete || die
 }

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index e8173925c67..da31581523e 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="1"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples static-libs"
+IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="
 DEPEND="${RDEPEND}
@@ -35,6 +35,10 @@ src_prepare() {
 	autotools-utils_src_prepare
 }
 
+src_configure() {
+	econf --disable-static
+}
+
 src_compile() {
 	autotools-utils_src_compile
 	if use doc; then
@@ -53,4 +57,6 @@ src_install() {
 		insinto /usr/share/doc/${PF}/examples
 		doins examples/*.cc
 	fi
+
+	find "${ED}" -name '*.la' -delete || die
 }

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 66502b2bb27..f0d995c3dc0 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="1"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples static-libs"
+IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="
 DEPEND="${RDEPEND}
@@ -33,6 +33,10 @@ src_prepare() {
 		Makefile.in || die
 }
 
+src_configure() {
+	econf --disable-static
+}
+
 src_compile() {
 	default
 	if use doc; then
@@ -51,4 +55,6 @@ src_install() {
 		docinto examples
 		dodoc examples/*.cc
 	fi
+
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-15  4:36 Sam James
  0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2020-11-15  4:36 UTC (permalink / raw
  To: gentoo-commits

commit:     de47aee45fc4d78212179938093608c03ce7cbeb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 04:35:53 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 04:35:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de47aee4

sci-libs/cln: fix build failure

autotools-utils can do out-of-source builds,
and it does by default, but we need to invoke
autotools-utils_src_configure for it to have
the right behaviour.

This is counterintuitive given more modern
examples like CMake use src_prepare for the
same functionality.

Fixes: 785c90cfa242ac84cff475d5ec5e7f0ed64c14c3
Bug: https://bugs.gentoo.org/725420
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/cln/cln-1.3.3.ebuild | 3 ++-
 sci-libs/cln/cln-1.3.4.ebuild | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.3.ebuild b/sci-libs/cln/cln-1.3.3.ebuild
index a8823500d1e..9687c7bb01a 100644
--- a/sci-libs/cln/cln-1.3.3.ebuild
+++ b/sci-libs/cln/cln-1.3.3.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
 }
 
 src_configure() {
-	econf --disable-static
+	local myeconfargs=( --disable-static )
+	autotools-utils_src_configure
 }
 
 src_compile() {

diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
index da31581523e..29ac33c74b0 100644
--- a/sci-libs/cln/cln-1.3.4.ebuild
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
 }
 
 src_configure() {
-	econf --disable-static
+	local myeconfargs=( --disable-static )
+	autotools-utils_src_configure
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-15  5:19 Sam James
  0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2020-11-15  5:19 UTC (permalink / raw
  To: gentoo-commits

commit:     b4388823e1dfbad4a3be1bd8056bad63240b3627
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 05:12:54 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 05:12:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4388823

sci-libs/cln: Stabilize 1.3.6 arm64, #754642

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index f0d995c3dc0..0e3ea058d04 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-15  5:47 Sam James
  0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2020-11-15  5:47 UTC (permalink / raw
  To: gentoo-commits

commit:     754212f71912a3c3a573320ea8ea4760ac961d85
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 05:47:20 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 05:47:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=754212f7

sci-libs/cln: Stabilize 1.3.6 arm, #754642

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 0e3ea058d04..aae8f01a692 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-15 23:50 Sam James
  0 siblings, 0 replies; 22+ messages in thread
From: Sam James @ 2020-11-15 23:50 UTC (permalink / raw
  To: gentoo-commits

commit:     72f31811fe7fc9b472edb2cfe723b6cf505aaad1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 23:49:41 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:49:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72f31811

sci-libs/cln: Stabilize 1.3.6 amd64, #754642

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index aae8f01a692..31c8d582f4b 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-17 18:49 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2020-11-17 18:49 UTC (permalink / raw
  To: gentoo-commits

commit:     672e044c8eb4b11b8fa54dee091991bbe651e1a7
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 18:47:06 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 18:47:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=672e044c

sci-libs/cln: ppc stable wrt bug #754642

Package-Manager: Portage-3.0.8, Repoman-3.0.2
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 31c8d582f4b..30ffd76aff4 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-17 18:55 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2020-11-17 18:55 UTC (permalink / raw
  To: gentoo-commits

commit:     9109a5e5c53c83060f86cf8ed73062bda207a675
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 18:53:01 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 18:55:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9109a5e5

sci-libs/cln: ppc64 stable wrt bug #754642

Package-Manager: Portage-3.0.8, Repoman-3.0.2
RepoMan-Options: --include-arches="ppc64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 30ffd76aff4..27769669960 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-17 19:10 Agostino Sarubbo
  0 siblings, 0 replies; 22+ messages in thread
From: Agostino Sarubbo @ 2020-11-17 19:10 UTC (permalink / raw
  To: gentoo-commits

commit:     c5194d8ab187e9943dc4d6eb9bebf8db39aa74c0
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 19:09:00 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 19:09:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5194d8a

sci-libs/cln: sparc stable wrt bug #754642

Package-Manager: Portage-3.0.8, Repoman-3.0.2
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 27769669960..00ab326df0e 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2020-11-23  8:01 Sergei Trofimovich
  0 siblings, 0 replies; 22+ messages in thread
From: Sergei Trofimovich @ 2020-11-23  8:01 UTC (permalink / raw
  To: gentoo-commits

commit:     f241dc66faf68ce091413216c7ef87f7ff7ab2c9
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 23 08:00:18 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 08:00:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f241dc66

sci-libs/cln: stable 1.3.6 for hppa

stable wrt bug #754642

Package-Manager: Portage-3.0.10, Repoman-3.0.2
RepoMan-Options: --include-arches="hppa"
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 88ac5650e97..1fa4e64dd11 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/
@ 2021-10-11 14:01 Yixun Lan
  0 siblings, 0 replies; 22+ messages in thread
From: Yixun Lan @ 2021-10-11 14:01 UTC (permalink / raw
  To: gentoo-commits

commit:     99ade647db5c822fe90c74f19b0b96d77bb37ece
Author:     Alex Fan <alexfanqi <AT> yahoo <DOT> com>
AuthorDate: Mon Oct 11 07:03:34 2021 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Oct 11 14:01:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99ade647

sci-libs/cln: keyword 1.3.6 for ~riscv

Signed-off-by: Alex Fan <alexfanqi <AT> yahoo.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sci-libs/cln/cln-1.3.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/cln/cln-1.3.6.ebuild b/sci-libs/cln/cln-1.3.6.ebuild
index 88ac5650e97..bb01f5560a4 100644
--- a/sci-libs/cln/cln-1.3.6.ebuild
+++ b/sci-libs/cln/cln-1.3.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://www.ginac.de/CLN/${P}.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="1"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
 IUSE="doc examples"
 
 RDEPEND="dev-libs/gmp:0="


^ permalink raw reply related	[flat|nested] 22+ messages in thread

end of thread, other threads:[~2021-10-11 14:02 UTC | newest]

Thread overview: 22+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-12-15 12:48 [gentoo-commits] repo/gentoo:master commit in: sci-libs/cln/ Agostino Sarubbo
  -- strict thread matches above, loose matches on Subject: below --
2021-10-11 14:01 Yixun Lan
2020-11-23  8:01 Sergei Trofimovich
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 18:49 Agostino Sarubbo
2020-11-15 23:50 Sam James
2020-11-15  5:47 Sam James
2020-11-15  5:19 Sam James
2020-11-15  4:36 Sam James
2020-11-14 20:22 David Seifert
2020-02-02 15:02 Andrey Grozin
2020-02-01  9:12 Andrey Grozin
2020-01-31 16:25 Andrey Grozin
2019-12-24 20:02 Mikle Kolyada
2019-12-24 14:34 Mikle Kolyada
2019-12-19 18:35 Sergei Trofimovich
2019-12-17 23:48 Aaron Bauman
2019-12-15 13:59 Agostino Sarubbo
2019-12-15 12:44 Agostino Sarubbo
2019-05-28  4:06 Aaron Bauman
2016-07-09  3:16 Yixun Lan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox